List budgets
GET /api/v1/programmatic/budgets
/api/v1/programmatic/budgetsReturns budgets with status for the requested period date.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
period_date | query | stringOptional | 2026-07-12 |
page | query | numberOptional | <page> |
limit | query | numberOptional | <limit> |
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/budgets?period_date=2026-07-12&page=<page>&limit=<limit>' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": [
{
"type": "budgets",
"id": "<uuid>",
"attributes": {
"name": "Groceries",
"active": true,
"period": "monthly",
"rollover_strategy": "carry",
"pacing_strategy": "linear",
"include_recurring_transactions": false,
"accent_color": "sky",
"icon": "lucide:shopping-cart",
"icon_url": "https://cdn.tetri.app/icons/abc.webp",
"currency_id": "<uuid>",
"version": 0,
"currency": {
"id": "<uuid>",
"code": "USD",
"symbol": "$",
"decimal_places": 2
},
"amount": "500.00",
"base_amount": "500.00",
"order": 0,
"created_at": "2026-07-12T12:00:00Z",
"category_ids": [
"<uuid>"
],
"categories": [
{
"id": "<uuid>",
"name": "Groceries",
"icon": "shopping-cart",
"accent_color": "emerald"
}
],
"current_period": {}
}
}
],
"meta": {
"pagination": {
"total": 120,
"count": 25,
"per_page": 25,
"current_page": 1,
"total_pages": 5
}
}
}